# Package edu.msu.cme.rdp.classifier

Class Summary
Class | Description
--- | ---
ClassificationResult | This class holds the classification results for a query sequence.
Classifier | This is the class to do the classification.
ClassifierCmd | This is the legacy command line class to do the classification.
GenusWordConditionalProb | A GenusWordConditionalProb holds the index of the genus node, and the conditional probability that genus node contains the word.
HierarchyTree | A HierarchyTree holds the taxonomic information of a taxon.
RankAssignment | A RankAssignment holds the classification result of a sequence at one rank level.
TrainingInfo | The TrainingInfo holds all the training information and taxonomy hierarchy information.

Exception Summary
Exception | Description
--- | ---
ShortSequenceException | Handles exception for a short sequence.
TrainingDataException | Handles the exception occurred when parsing training information.